<div class="admin-col-title admin-col-title-grey admin-col-title-bold">
  Actions

  <% if show_buttons %>
    <!-- Columns -->
    <div class='column-block'>
      <!-- <a id='tasks-column-sel' href='#' class='btn btn-outline-warning'>COL RESULT</a> -->
      <a id='header-collapse-columns' class="btn btn-outline-warning collapsed" type="button" data-toggle="collapse" data-target="#collapse-columns" aria-expanded="false" aria-controls="collapse-columns">
        <%= t('tasks.show_columns') %>
      </a>
      <div id='collapse-columns' class="collapse">
        <% #index = 2
           #index += 1 if @set_check_box_email
           #index += 1 unless (plan_options[:rcas] || plan_options[:type_plan] == 'rca')
        %>
        <% Tools::Task.all_tasks_columns.each do |col_block, columns| %>
          <% if col_block.to_s == 'object' || plan_options[col_block.intern] %>
            <% columns.each do |col| %>
              <div>
                <%= check_box_tag "columns[#{col}]", 'true', @task_columns[col_block.to_s]&.include?(col.to_s), class: 'column-check', 'column-title': col, 'column-block': col_block.to_s %>
                <% if col_block.to_s == 'object' %>
                  <%= Tools::Task.human_attribute_name col %>
                <% elsif col_block.to_s == 'matrix' %>
                  <%= Tools::MatrixStat.human_attribute_name col %>
                <% elsif col_block.to_s == 'validation' %>
                  <%= Tools::TaskValidation.human_attribute_name col %>
                <% elsif col_block.to_s == 'efficacity' %>
                  <%= Tools::Efficacity.human_attribute_name col %>
                <% else %>
                  <%= Tools::Task.human_attribute_name col %>
                <% end %>
              </div>
              <% #index += 1 %>
            <% end %>
          <% end %>
        <% end %>

        <%= link_to fa_icon('redo-alt', class: 'icon-grey icon-btn icon-margin') + t('tasks.columns_reload'), meth_step_tool_show_path(id: @step_tool, rca: @rca), class: 'btn btn-outline-dark' %>
      </div>
    </div>
    <!-- End Columns -->
    <!-- Check List Actions -->
    <% if plan_options['check_list'] == true %>
      <%= link_to fa_icon('list', class: 'fas icon-grey icon-btn icon-margin') + Labels::CheckListElem.model_name.human(count: 2), tools_tasks_check_list_path(id: @step_tool, rca: @rca), remote: true, class: 'btn btn-outline-dark' %>
    <% end %>
  <% end %>

  <div style="float: right">
    <% if @rca %> <!-- && show_buttons -->
      <% @step_tool.tool_options[:task_options] ||= {} %>
      <%= link_to fa_icon_add('icon-orange icon-margin') + t('.title', task: Tools::Task.model_name.human),
                  new_tools_task_path(tools_task: @step_tool.tool_options[:task_options].merge({
                      rca_id: @rca.id,
                      tool_reference: @step_tool.tool_reference,
                      tool_num: @step_tool.tool_num,
                      responsible_rca_id: @rca&.rca_first_responsible&.id || current_user.person.id,
                      responsible_action_id: current_user.person.id}),
                    efficacity: plan_options[:efficacity],
                    matrix: plan_options[:matrix]),
                  class: 'btn btn-outline-warning',
                  remote: true
      %>
    <% end %>

    <%= link_to fa_icon('arrow-circle-down', class: 'icon-grey icon-btn icon-margin') + 'Export PDF',
                tools_tasks_export_pdf_url(rca: @rca, format: :pdf),
                class: 'btn btn-outline-dark' %>


    <%= send_mail_submit_tag if @set_check_box_email %>
  </div>
</div>

<div class="admin-col-content">
  <div id="tasks-plan" style="overflow-x: scroll;">
    <%= render partial: 'tools/tasks/index_task_plan', locals: {plan_options: plan_options, task_options: task_options, show_buttons: show_buttons} %>
  </div>
</div>

<script>
  $(function() {

  });
</script>
